namespace Kvalifikacije2
{
    internal class Program
    {
        static void spojler()
        {
            string[] red = Console.ReadLine().Split(" ");
            int a = int.Parse(red[0]);
            int b = int.Parse(red[1]);
            string[] red2 = Console.ReadLine().Split(" ");
            int x = int.Parse(red2[0]);
            int y = int.Parse(red2[1]);
            if(a == x && b == y)
            {
                Console.WriteLine("nijedan");
            }
            else if(a == x)
            {
                Console.WriteLine("drugi");
            }else if(b == y)
            {
                Console.WriteLine("prvi");
            }
            else
            {
                Console.WriteLine("?");
            }
        }
        static void Main(string[] args)
        {
            spojler();
        }
    }
}